com.google.appengine.api.taskqueue

## Class QueueConstants

- java.lang.Object
- - com.google.appengine.api.taskqueue.QueueConstants

-     public final class QueueConstants
      extends java.lang.Object

  Describes various taskqueue limits.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.util.regex.Pattern` | `QUEUE_NAME_PATTERN`
    `static java.lang.String` | `QUEUE_NAME_REGEX` Regular expression that matches all valid queue names.
    `static java.util.regex.Pattern` | `TASK_NAME_PATTERN`
    `static java.lang.String` | `TASK_NAME_REGEX` Regular expression that matches all valid task names.

  - ### Method Summary

    All Methods Static Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `static long` | `getMaxEtaDeltaMillis()` Returns the maximum time into the future that a task may be scheduled.
    `static long` | `maxLease(java.util.concurrent.TimeUnit unit)` Returns the maximum length of period to lease a task.
    `static long` | `maxLeaseCount()` Returns the maximum number of tasks to lease in one call.
    `static int` | `maxPullTaskSizeBytes()` Returns the maximum pull task size.
    `static int` | `maxPushTaskSizeBytes()` Returns the maximum push task size.
    `static int` | `maxQueueNameLength()` Returns the maximum length of a queue name.
    `static int` | `maxTaskNameLength()` Returns the maximum length of a task name.
    `static int` | `maxTaskSizeBytes()` Deprecated. Use `maxPushTaskSizeBytes()`
    `static int` | `maxTasksPerAdd()` Returns the maximum number of tasks that may be passed to a single add call.
    `static int` | `maxTaskTagLength()` Returns the maximum length of a task tag.
    `static int` | `maxUrlLength()` Returns the maximum URL length.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### TASK_NAME_REGEX

          public static final java.lang.String TASK_NAME_REGEX

      Regular expression that matches all valid task names.

    - #### TASK_NAME_PATTERN

          public static final java.util.regex.Pattern TASK_NAME_PATTERN

    - #### QUEUE_NAME_REGEX

          public static final java.lang.String QUEUE_NAME_REGEX

      Regular expression that matches all valid queue names.

    - #### QUEUE_NAME_PATTERN

          public static final java.util.regex.Pattern QUEUE_NAME_PATTERN

  - ### Method Detail

    - #### maxLease

          public static long maxLease(java.util.concurrent.TimeUnit unit)

      Returns the maximum length of period to lease a task.

    - #### maxLeaseCount

          public static long maxLeaseCount()

      Returns the maximum number of tasks to lease in one call.

    - #### maxQueueNameLength

          public static int maxQueueNameLength()

      Returns the maximum length of a queue name.

    - #### maxTaskNameLength

          public static int maxTaskNameLength()

      Returns the maximum length of a task name.

    - #### maxTaskTagLength

          public static int maxTaskTagLength()

      Returns the maximum length of a task tag.

    - #### maxTaskSizeBytes

          @Deprecated
          public static int maxTaskSizeBytes()

      Deprecated. Use `maxPushTaskSizeBytes()`
      Returns the maximum push task size.

    - #### maxPushTaskSizeBytes

          public static int maxPushTaskSizeBytes()

      Returns the maximum push task size.

    - #### maxPullTaskSizeBytes

          public static int maxPullTaskSizeBytes()

      Returns the maximum pull task size.

    - #### maxTasksPerAdd

          public static int maxTasksPerAdd()

      Returns the maximum number of tasks that may be passed to a single add call.

    - #### maxUrlLength

          public static int maxUrlLength()

      Returns the maximum URL length.

    - #### getMaxEtaDeltaMillis

          public static long getMaxEtaDeltaMillis()

      Returns the maximum time into the future that a task may be scheduled.